var shared = require("neuroModule/TriggerFcns");
var console = require("console");
var LABKEY = require("labkey");
//importClass(Packages.java.io.File);
//var fs = require ("fs");

//how routines implemented from java look in javascript:
//https://docs.nativescript.org/runtimes/android/marshalling/java-to-js
function init(event, errors) {
    console.log("init() called in orgs.js with an event type of " + event);
    console.log("Function in shared TriggerFcns.js script returns :" +  shared.sampleFunc('echo'));
}

function complete(event, errors) {
    console.log("complete() called in orgs.js with an event type of " + event);
}

function beforeInsert(row, errors){
    console.log("beforeInsert() called in orgs.js with a row object of  " + row);
}

function beforeUpdate(row, oldRow, errors){
    console.log("beforeUpdate() called in orgs.js with a row object of  " + row + "  and an oldRow of " + oldRow);
}
function beforeDelete(row, errors){
    console.log("beforeDelete() called in orgs.js with a row object of  " + row);
}
function afterInsert(row, errors){
    console.log("afterInsert() called in orgs.js with a row object of  " + row);
    console.log("Context Path: "+ LABKEY.ActionURL.getContextPath());
    console.log("Base URL: "+ LABKEY.ActionURL.getBaseURL());
    console.log("Container: "+ LABKEY.ActionURL.getContainer());
    var dirs=["PET","CT"];
    var labkeyBase="/usr/share/labkey/files";

    for (i=0;i<dirs.length;i++){
	
    	var gPath=labkeyBase+
		LABKEY.ActionURL.getContainer()+
		java.io.File.separator+
		"@files"+
		java.io.File.separator+
		row.PatientID+
		java.io.File.separator+
		row.ImagingID+
		java.io.File.separator+
		dirs[i];
    	var directory = new java.io.File(gPath);
    	directory.mkdirs();
    }

    //var files = directory.listFiles(); // files is a special object as described above
    //console.log("Checking path: " + gPath);
    //console.log("Got: "+ files.length + " files");
    //console.log("Got: "+ files[0].getPath());

}
function afterUpdate(row, oldRow, errors){
    console.log("afterUpdate() called in orgs.js with a row object of  " + row + "  and an oldRow of " + oldRow);
}
function afterDelete(row, errors){
    console.log("afterDelete() called in orgs.js with a row object of  " + row);
}
